<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: required_fields_panel.php
| Author: Popupman
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

if(file_exists(INFUSIONS."required_fields_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."required_fields_panel/locale/".$settings['locale'].".php";
}else {
	include INFUSIONS."required_fields_panel/locale/English.php";
}

$fields = dbquery("SELECT field_name FROM ".DB_USER_FIELDS);
$required_fields = array();
while($field = dbarray($fields))
{
	if(isset($user_field_req)) unset($user_field_req);
	if (file_exists(LOCALE.LOCALESET."user_fields/".$field['field_name'].".php")) {
			include LOCALE.LOCALESET."user_fields/".$field['field_name'].".php";
	}
	include INCLUDES."user_fields/".$field['field_name']."_include_var.php";
	if($user_field_dbinfo && isset($user_field_req) && $user_field_req)
	{
		if(trim(stripinput($userdata[$user_field_dbname])) == "")
		{
			if(FUSION_SELF != "edit_profile.php") redirect(BASEDIR."edit_profile.php");
			$required_fields[] = $user_field_name;
		}
	}
}
if(sizeof($required_fields) > 0) {
	openside("Required Fields");
		echo "<font color='#F00'><strong>".$locale['RFP1']."</strong><ul>";
		foreach($required_fields as $required_field) echo "<li>".$required_field."</li>";
		echo "</ul></strong></font>";
	closeside();
}
?>