<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: phonenumber_include.php
| Author: Popupman
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

if (!defined("IN_FUSION")) { die("Access Denied"); }

if(FUSION_SELF == "members.php") return;

if(file_exists(INFUSIONS."user_fields_manager/locale/".$settings['locale'].".php")) {
	include INFUSIONS."user_fields_manager/locale/".$settings['locale'].".php";
}else {
	include INFUSIONS."user_fields_manager/locale/English.php";
}

if(isset($user_field_req)) unset($user_field_req);
if(isset($user_field_display)) unset($user_field_display);
if(isset($data['field_name'])) include INCLUDES."user_fields/".$data['field_name']."_include_var.php";
elseif(isset($data2['field_name'])) include INCLUDES."user_fields/".$data2['field_name']."_include_var.php";

if ($profile_method == "input") {
	if(isset($_POST[$user_field_dbname])) $user_data[$user_field_dbname] = $_POST[$user_field_dbname];
	require_once(INFUSIONS."user_fields_manager/field_types/phonenumber_script.php");
	echo "<tr>\n";
	echo "<td class='tbl'>".$user_field_name.":".(isset($user_field_req) && $user_field_req ? "<font color='#F00'>*</font>" : "")."<noscript><br /><font size='1'>".$locale['phonenumberM2']."</font></noscript></td>\n";
	echo "<td class='tbl'><input type='text' name='".$user_field_dbname."' value='".(isset($user_data[$user_field_dbname]) ? $user_data[$user_field_dbname] : "")."' maxlength='12' class='textbox' style='width:200px;' onKeyDown='javascript:getIt(this)' /></td>\n";
	echo "</tr>\n";
} elseif ($profile_method == "display" && ($user_field_display || iADMIN)) {
	if ($user_data[$user_field_dbname]) {
		echo "<tr>\n";
		echo "<td width='1%' class='tbl1' style='white-space:nowrap'>".$user_field_name."</td>\n";
		echo "<td align='right' class='tbl1'>".$user_data[$user_field_dbname]."</td>\n";
		echo "</tr>\n";
	}
} elseif ($profile_method == "validate_insert") {
	if($user_field_req && trim(stripinput($_POST[$user_field_dbname])) == "") $error = $user_field_name." ".$locale['M16'];
	if(strlen(trim(stripinput($_POST[$user_field_dbname]))) != 12 && strlen(trim(stripinput($_POST[$user_field_dbname]))) != 0) $error = $user_field_name." ".$locale['phonenumberM1'];
	$db_fields .= ", ".$user_field_dbname;
	$db_values .= ", '".(isset($_POST[$user_field_dbname]) ? stripinput(trim($_POST[$user_field_dbname])) : "")."'";
} elseif ($profile_method == "validate_update") {
	if($user_field_req && trim(stripinput($_POST[$user_field_dbname])) == "") $error = $user_field_name." ".$locale['M16'];
	if(strlen(trim(stripinput($_POST[$user_field_dbname]))) != 12 && strlen(trim(stripinput($_POST[$user_field_dbname]))) != 0) $error = $user_field_name." ".$locale['phonenumberM1'];
	$db_values .= ", ".$user_field_dbname."='".(isset($_POST[$user_field_dbname]) ? stripinput(trim($_POST[$user_field_dbname])) : "")."'";
}
?>